@import 'css/_variables.scss';
@import 'css/_general_styling.scss';

.navbar {
  position: sticky;
  top: 0;
  left: 0;
  background: #ffffff;
  box-shadow: 0 2px 2px rgba(0, 0, 0, 0.15);
  width: 100%;
  height: $header-height;
  z-index: 1;
  display: flex;
  align-items: center;

  &__smallLogo {
    height: 2.25rem;
    width: 2.25rem;
  }

  &__largeLogo {
    cursor: pointer;
  }

  @include respond(mobile) {
    justify-content: center;

    &__largeLogo {
      display: none;
    }
  }
  @include respond(tablet) {
    justify-content: center;

    &__smallLogo {
      display: none;
    }

    &__largeLogo {
      display: block;
    }
  }
  @include respond(laptop) {
    justify-content: space-between;
    align-items: center;
    padding-block: 0;
    padding-left: 1rem;

    &__smallLogo {
      display: none;
    }
  }

  &__loginButtonContainer {
    height: 100%;
    @include respond(mobile) {
      display: none;
    }
    @include respond(tablet) {
      display: none;
    }
    @include respond(laptop) {
      display: flex;
    }
  }

  &__collapsibleMenuIcon {
    &.--open {
      position: absolute;
      left: 24px;
      -webkit-transform: translate(0, -50%);
      -moz-transform: translate(0, -50%);
      -ms-transform: translate(0, -50%);
      -o-transform: translate(0, -50%);
      transform: translate(0, -50%);
      top: 50%;
    }

    @include respond(laptop) {
      display: none;
    }
    svg {
      color: $coa-primary;
      font-size: 1rem;
    }
  }

  &__menuBox {
    z-index: 2;
    position: fixed;
    left: 0;
    top: 0;
    background: white;
    height: 100%;
    overflow: hidden;
    width: 0;
    -webkit-transition: 0.5s;
    -moz-transition: 0.5s;
    -ms-transition: 0.5s;
    -o-transition: 0.5s;
    transition: 0.5s;

    &.--visible {
      width: 80%;
    }

    &__header {
      display: flex;
      justify-content: space-between;
      align-items: center;
      height: $header-height;
      padding-inline: 1.4375rem;
    }

    &__body {
      padding-block: 1.625rem;
      padding-inline: 1.4375rem;
      ul {
        list-style: none;
        padding: 0;
      }
    }

    &__logoutButton {
      @include primary-text(1.25rem, $coa-primary, 700);
    }

    &__overlay {
      top: 0;
      left: 0;
      z-index: 1;
      position: fixed;
      display: none;
      height: 100%;
      width: 100%;
      background: rgba(0, 0, 0, 0.5);
      &.--visible {
        display: block;
      }
    }
  }
}
